# Generated by Django 3.1.6 on 2021-02-19 05:55

import bitfield.models
import django.utils.timezone
from django.conf import settings
from django.db import migrations, models

import isc_common.fields.code_field
import isc_common.fields.description_field
import isc_common.fields.name_field
import isc_common.fields.related


class Migration(migrations.Migration):

    dependencies = [
        ('constructions', '0002_stadiums_text_informations'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('inventory', '0002_auto_20210218_1105'),
        ('region', '0012_city_regions'),
        ('competitions', '0029_auto_20210218_1607'),
    ]

    operations = [
        migrations.CreateModel(
            name='Formation',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False, verbose_name='Идентификатор')),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, null=True, verbose_name='Дата мягкого удаления')),
                ('editing', models.BooleanField(default=True, verbose_name='Возможность редактирования')),
                ('deliting', models.BooleanField(default=True, verbose_name='Возможность удаления')),
                ('lastmodified', models.DateTimeField(db_index=True, default=django.utils.timezone.now, editable=False, verbose_name='Последнее обновление')),
                ('code', isc_common.fields.code_field.CodeField(blank=True, null=True)),
                ('name', isc_common.fields.name_field.NameField(blank=True, null=True)),
                ('description', isc_common.fields.description_field.DescriptionField()),
                ('priority', models.SmallIntegerField()),
                ('number_of_players', models.SmallIntegerField()),
                ('props', bitfield.models.BitField((('active', 'active'),), db_index=True, default=1)),
                ('edited_by', isc_common.fields.related.ForeignKeyProtect(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Расстановки игроков в сыгранных матчах',
            },
        ),
        migrations.CreateModel(
            name='Calendar',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False, verbose_name='Идентификатор')),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, null=True, verbose_name='Дата мягкого удаления')),
                ('editing', models.BooleanField(default=True, verbose_name='Возможность редактирования')),
                ('deliting', models.BooleanField(default=True, verbose_name='Возможность удаления')),
                ('lastmodified', models.DateTimeField(db_index=True, default=django.utils.timezone.now, editable=False, verbose_name='Последнее обновление')),
                ('code', isc_common.fields.code_field.CodeField(blank=True, null=True)),
                ('name', isc_common.fields.name_field.NameField(blank=True, null=True)),
                ('description', isc_common.fields.description_field.DescriptionField()),
                ('tour', models.SmallIntegerField()),
                ('match_number', models.SmallIntegerField()),
                ('home_score', models.SmallIntegerField()),
                ('home_points', models.SmallIntegerField()),
                ('away_score', models.SmallIntegerField()),
                ('away_points', models.SmallIntegerField()),
                ('props', bitfield.models.BitField((('checked', 'checked'), ('protocol', 'protocol'), ('technical_defeat', 'technical_defeat'), ('in_archive', 'in_archive'), ('show_stats', 'show_stats'), ('show_empty_cells', 'show_empty_cells')), db_index=True, default=1)),
                ('match_date_time', models.DateTimeField()),
                ('away', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, related_name='Calendar_away', to='region.cities')),
                ('away_formation', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, related_name='Calendar_away_formation', to='competitions.formation')),
                ('away_shirt', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, related_name='Calendar_away_shirt', to='inventory.clothes')),
                ('away_shirt_keeper', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, related_name='Calendar_home_away_shirt_keeper', to='inventory.clothes')),
                ('edited_by', isc_common.fields.related.ForeignKeyProtect(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
                ('home', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, related_name='Calendar_home', to='region.cities')),
                ('home_formation', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, related_name='Calendar_home_formation', to='competitions.formation')),
                ('home_shirt', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, related_name='Calendar_home_shirt', to='inventory.clothes')),
                ('home_shirt_keeper', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, related_name='Calendar_home_shirt_keeper', to='inventory.clothes')),
                ('league', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to='competitions.leagues')),
                ('match', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to='competitions.matches')),
                ('parent', isc_common.fields.related.ForeignKeyProtect(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='competitions.calendar')),
                ('referee', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to='competitions.referees')),
                ('season', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to='competitions.seassons')),
                ('stadium', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to='constructions.stadiums')),
                ('tournament', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to='competitions.tournaments')),
            ],
            options={
                'verbose_name': 'Календарь матчей турнира',
            },
        ),
    ]
