# Generated by Django 3.1.6 on 2021-03-01 08:39

import bitfield.models
import django.utils.timezone
from django.db import migrations, models

import isc_common.fields.code_field
import isc_common.fields.description_field
import isc_common.fields.name_field
import isc_common.fields.related


class Migration(migrations.Migration):

    dependencies = [
        ('competitions', '0046_auto_20210219_0916'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='clubs',
            name='seasson',
        ),
        migrations.RemoveField(
            model_name='leagues',
            name='seasson',
        ),
        migrations.RemoveField(
            model_name='tournaments',
            name='seasson',
        ),
        migrations.CreateModel(
            name='Seasons',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False, verbose_name='Идентификатор')),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, null=True, verbose_name='Дата мягкого удаления')),
                ('editing', models.BooleanField(default=True, verbose_name='Возможность редактирования')),
                ('deliting', models.BooleanField(default=True, verbose_name='Возможность удаления')),
                ('lastmodified', models.DateTimeField(db_index=True, default=django.utils.timezone.now, editable=False, verbose_name='Последнее обновление')),
                ('code', isc_common.fields.code_field.CodeField(blank=True, null=True)),
                ('name', isc_common.fields.name_field.NameField(blank=True, null=True)),
                ('description', isc_common.fields.description_field.DescriptionField()),
                ('props', bitfield.models.BitField((('active', 'active'),), db_index=True, default=1)),
                ('start_date', models.DateField()),
                ('end_date', models.DateField()),
                ('parent', isc_common.fields.related.ForeignKeyProtect(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='competitions.seasons')),
            ],
            options={
                'verbose_name': 'сезоны',
            },
        ),
        migrations.AddField(
            model_name='clubs',
            name='season',
            field=isc_common.fields.related.ForeignKeyProtect(default=None, on_delete=django.db.models.deletion.PROTECT, to='competitions.seasons'),
        ),
        migrations.AddField(
            model_name='leagues',
            name='season',
            field=isc_common.fields.related.ForeignKeyProtect(default=None, on_delete=django.db.models.deletion.PROTECT, to='competitions.seasons'),
        ),
        migrations.AddField(
            model_name='tournaments',
            name='season',
            field=isc_common.fields.related.ForeignKeyProtect(default=None, on_delete=django.db.models.deletion.PROTECT, to='competitions.seasons'),
        ),
        migrations.AlterField(
            model_name='calendar',
            name='season',
            field=isc_common.fields.related.ForeignKeyProtect(default=None, on_delete=django.db.models.deletion.PROTECT, to='competitions.seasons'),
        ),
        migrations.DeleteModel(
            name='Seassons',
        ),
    ]
