# Generated by Django 3.1.7 on 2021-03-04 07:50

import bitfield.models
import django.utils.timezone
from django.conf import settings
from django.db import migrations, models

import isc_common.fields.code_field
import isc_common.fields.related


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('common', '0023_auto_20210303_0942'),
        ('competitions', '0068_auto_20210304_0710'),
    ]

    operations = [
        migrations.CreateModel(
            name='Club_logo_history',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False, verbose_name='Идентификатор')),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, null=True, verbose_name='Дата мягкого удаления')),
                ('editing', models.BooleanField(default=True, verbose_name='Возможность редактирования')),
                ('deliting', models.BooleanField(default=True, verbose_name='Возможность удаления')),
                ('lastmodified', models.DateTimeField(db_index=True, default=django.utils.timezone.now, editable=False, verbose_name='Последнее обновление')),
                ('code', isc_common.fields.code_field.CodeStrictField()),
                ('dt', models.DateTimeField()),
                ('admin', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
                ('club', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to='competitions.clubs')),
            ],
            options={
                'verbose_name': 'История логотипов клуба',
            },
        ),
        migrations.AddField(
            model_name='club_admins',
            name='props',
            field=bitfield.models.BitField((('active', 'Актуальность'),), db_index=True, default=1),
        ),
        migrations.AddField(
            model_name='club_histories',
            name='props',
            field=bitfield.models.BitField((('active', 'Актуальность'),), db_index=True, default=1),
        ),
        migrations.CreateModel(
            name='Club_logo_history_images',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False, verbose_name='Идентификатор')),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, null=True, verbose_name='Дата мягкого удаления')),
                ('editing', models.BooleanField(default=True, verbose_name='Возможность редактирования')),
                ('deliting', models.BooleanField(default=True, verbose_name='Возможность удаления')),
                ('lastmodified', models.DateTimeField(db_index=True, default=django.utils.timezone.now, editable=False, verbose_name='Последнее обновление')),
                ('image', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to='common.images')),
                ('main_model', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to='competitions.club_logo_history')),
            ],
            options={
                'verbose_name': 'Кросс таблица',
                'unique_together': {('image', 'main_model')},
            },
        ),
    ]
