# Generated by Django 3.1.7 on 2021-03-04 14:46

import bitfield.models
import django.utils.timezone
from django.conf import settings
from django.db import migrations, models

import isc_common.fields.code_field
import isc_common.fields.description_field
import isc_common.fields.name_field
import isc_common.fields.related


class Migration(migrations.Migration):

    dependencies = [
        ('region', '0039_auto_20210302_1649'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('competitions', '0083_auto_20210304_1300'),
    ]

    operations = [
        migrations.CreateModel(
            name='Divisions',
            fields=[
                ('old_id', models.BigIntegerField(blank=True, db_index=True, null=True, unique=True)),
                ('id', models.BigAutoField(primary_key=True, serialize=False, verbose_name='Идентификатор')),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, null=True, verbose_name='Дата мягкого удаления')),
                ('editing', models.BooleanField(default=True, verbose_name='Возможность редактирования')),
                ('deliting', models.BooleanField(default=True, verbose_name='Возможность удаления')),
                ('lastmodified', models.DateTimeField(db_index=True, default=django.utils.timezone.now, editable=False, verbose_name='Последнее обновление')),
                ('code', isc_common.fields.code_field.CodeField(blank=True, null=True)),
                ('name', isc_common.fields.name_field.NameField(blank=True, null=True)),
                ('description', isc_common.fields.description_field.DescriptionField()),
                ('number_of_rounds', models.SmallIntegerField()),
                ('disqualification_condition', models.SmallIntegerField()),
                ('props', bitfield.models.BitField((('active', 'active'), ('completed', 'completed'), ('show_news', 'show_news')), db_index=True, default=1)),
                ('editor', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, related_name='AuditModelEx_creator', to=settings.AUTH_USER_MODEL)),
                ('parent', isc_common.fields.related.ForeignKeyProtect(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='competitions.divisions')),
                ('region', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to='region.regions')),
                ('zone', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to='competitions.disqualification_zones')),
            ],
            options={
                'verbose_name': '',
            },
        ),
    ]
