# Generated by Django 3.2.4 on 2021-06-08 10:57

import bitfield.models
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import isc_common.fields.code_field
import isc_common.fields.description_field
import isc_common.fields.name_field
import isc_common.fields.related


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('region', '0053_regions_view'),
        ('competitions', '0278_remove_divisions_parent'),
    ]

    operations = [
        migrations.CreateModel(
            name='Divisions_view',
            fields=[
                ('old_id', models.BigIntegerField(blank=True, db_index=True, null=True, unique=True)),
                ('id', models.BigAutoField(primary_key=True, serialize=False, verbose_name='Идентификатор')),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, null=True, verbose_name='Дата мягкого удаления')),
                ('editing', models.BooleanField(default=True, verbose_name='Возможность редактирования')),
                ('deliting', models.BooleanField(default=True, verbose_name='Возможность удаления')),
                ('lastmodified', models.DateTimeField(db_index=True, default=django.utils.timezone.now, editable=False, verbose_name='Последнее обновление')),
                ('code', isc_common.fields.code_field.CodeStrictField(unique=True)),
                ('name', isc_common.fields.name_field.NameField(blank=True, null=True)),
                ('description', isc_common.fields.description_field.DescriptionField()),
                ('active', models.BooleanField()),
                ('disqualification_condition', models.SmallIntegerField()),
                ('number_of_rounds', models.SmallIntegerField()),
                ('props', bitfield.models.BitField((('active', 'active'), ('completed', 'completed'), ('show_news', 'show_news')), db_index=True, default=1)),
                ('scheme', models.CharField(blank=True, max_length=255, null=True)),
                ('top_text', models.TextField(blank=True, null=True)),
                ('editor', isc_common.fields.related.ForeignKeyProtect(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='Divisions_view_creator', to=settings.AUTH_USER_MODEL)),
                ('region', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to='region.regions')),
                ('zone', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to='competitions.disqualification_zones')),
            ],
            options={
                'verbose_name': '',
            },
        ),
    ]
