# Generated by Django 3.2.4 on 2021-06-27 10:48

import bitfield.models
import django.contrib.postgres.fields
import django.utils.timezone
from django.db import migrations, models

import isc_common.fields.name_field


class Migration(migrations.Migration):
    dependencies = [
        ('competitions', '0293_calendar_next_match'),
    ]

    operations = [
        migrations.CreateModel(
            name='Calendar_view',
            fields=[
                ('old_id', models.BigIntegerField(blank=True, db_index=True, null=True, unique=True)),
                ('id', models.BigAutoField(primary_key=True, serialize=False, verbose_name='Идентификатор')),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, null=True, verbose_name='Дата мягкого удаления')),
                ('editing', models.BooleanField(default=True, verbose_name='Возможность редактирования')),
                ('deliting', models.BooleanField(default=True, verbose_name='Возможность удаления')),
                ('lastmodified', models.DateTimeField(db_index=True, default=django.utils.timezone.now, editable=False, verbose_name='Последнее обновление')),
                ('away_points', models.SmallIntegerField()),
                ('away_score', models.SmallIntegerField()),
                ('checked', models.SmallIntegerField(default=0)),
                ('home_points', models.SmallIntegerField()),
                ('home_score', models.SmallIntegerField()),
                ('match_date_time', models.DateTimeField(blank=True, null=True)),
                ('match_number', models.SmallIntegerField()),
                ('props', bitfield.models.BitField((('protocol', 'protocol'), ('in_archive', 'in_archive'), ('show_stats', 'show_stats'), ('show_empty_cells', 'show_empty_cells'), ('penalty', 'penalty')), db_index=True, default=0)),
                ('technical_defeat', models.SmallIntegerField()),
                ('tour', models.SmallIntegerField()),
            ],
            options={
                'verbose_name': 'Календарь матчей турнира',
                'db_table': 'competitions_calendar_view',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Referees_view',
            fields=[
                ('old_ids', django.contrib.postgres.fields.ArrayField(base_field=models.BigIntegerField(), blank=True, null=True, size=None, unique=True)),
                ('id', models.BigAutoField(primary_key=True, serialize=False, verbose_name='Идентификатор')),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, null=True, verbose_name='Дата мягкого удаления')),
                ('editing', models.BooleanField(default=True, verbose_name='Возможность редактирования')),
                ('deliting', models.BooleanField(default=True, verbose_name='Возможность удаления')),
                ('lastmodified', models.DateTimeField(db_index=True, default=django.utils.timezone.now, editable=False, verbose_name='Последнее обновление')),
                ('active', models.BooleanField()),
                ('debut', models.DateField(blank=True, null=True)),
                ('first_name', isc_common.fields.name_field.NameField(blank=True, null=True)),
                ('last_name', isc_common.fields.name_field.NameField(blank=True, null=True)),
                ('middle_name', isc_common.fields.name_field.NameField(blank=True, null=True)),
                ('photo_image_src', isc_common.fields.name_field.NameField(blank=True, null=True)),
                ('photo_real_name', isc_common.fields.name_field.NameField(blank=True, null=True)),
                ('props', bitfield.models.BitField((('active', 'active'),), db_index=True, default=1)),
            ],
            options={
                'verbose_name': 'Судьи',
                'db_table': 'competitions_referees_view',
                'managed': False,
            },
        ),
    ]
