# Generated by Django 3.2.6 on 2021-08-19 12:25

import django.db.models.deletion
from django.db import migrations , transaction , connection

import isc_common.fields.related
from lfl_admin.competitions.models.technical_defeat import Technical_defeat


class Migration( migrations.Migration ) :
    dependencies = [
        ('competitions' , '0320_tournaments_technic_defeat') ,
    ]

    def technic_defeat_fill( apps , schema_editor ) :
        with transaction.atomic() :
            with connection.cursor() as cursor :
                cursor.execute( '''select distinct technical_defeat from competitions_tournaments''' , [ ] )
                records = cursor.fetchall()

                for record in records :
                    technical_defeat , = record
                    res , _ = Technical_defeat.objects.get_or_create( code=technical_defeat , defaults=dict( name=technical_defeat ) )

                    cursor.execute( '''update competitions_tournaments set technic_defeat_id = %s 
                                        where technical_defeat = %s''' , [ res.id , res.code ] )

    operations = [
        migrations.RunPython( technic_defeat_fill ) ,
        migrations.AlterField(
            model_name='tournaments' ,
            name='technic_defeat' ,
            field=isc_common.fields.related.ForeignKeyProtect( default=None , on_delete=django.db.models.deletion.PROTECT , to='competitions.technical_defeat' ) ,
            preserve_default=False ,
        ) ,
    ]
