# Generated by Django 3.2.6 on 2021-08-19 14:14

from django.db import migrations , transaction , connection
import django.db.models.deletion
import isc_common.fields.related
from lfl_admin.competitions.models.rating_rule import Rating_rule


class Migration(migrations.Migration):

    dependencies = [
        ('competitions', '0327_rename_rating_rule1_tournaments_rating_rule'),
    ]

    def rating_rule_fill( apps , schema_editor ) :
        with connection.cursor() as cursor :
            cursor.execute( '''select distinct rating_rule2 from competitions_tournaments''' , [ ] )
            records = cursor.fetchall()

        with connection.cursor() as cursor :
            for record in records :
                rating_rule2 , = record
                res , _ = Rating_rule.objects.get_or_create( code=rating_rule2 , defaults=dict( name=rating_rule2 ) )

                cursor.execute( '''update competitions_tournaments set rating_rule_id = %s  where rating_rule2 = %s''' , [ res.id , str(res.code) ] )

    operations = [
        migrations.RunSQL('SET CONSTRAINTS ALL IMMEDIATE;'),
        migrations.RunPython(rating_rule_fill),
        migrations.RunSQL('SET CONSTRAINTS ALL DEFERRED;'),
        migrations.RemoveField(
            model_name='tournaments',
            name='rating_rule2',
        ),
        migrations.AlterField(
            model_name='tournaments',
            name='rating_rule',
            field=isc_common.fields.related.ForeignKeyProtect(default=None, on_delete=django.db.models.deletion.PROTECT, to='competitions.rating_rule'),
            preserve_default=False,
        ),
    ]
