# Generated by Django 3.1.6 on 2021-02-19 05:07

import bitfield.models
import django.utils.timezone
from django.conf import settings
from django.db import migrations, models

import isc_common.fields.code_field
import isc_common.fields.description_field
import isc_common.fields.name_field
import isc_common.fields.related


class Migration(migrations.Migration):

    dependencies = [
        ('region', '0011_region_text_informations_code'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('common', '0016_auto_20210218_1253'),
        ('decor', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Banners',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False, verbose_name='Идентификатор')),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, null=True, verbose_name='Дата мягкого удаления')),
                ('editing', models.BooleanField(default=True, verbose_name='Возможность редактирования')),
                ('deliting', models.BooleanField(default=True, verbose_name='Возможность удаления')),
                ('lastmodified', models.DateTimeField(db_index=True, default=django.utils.timezone.now, editable=False, verbose_name='Последнее обновление')),
                ('code', isc_common.fields.code_field.CodeField(blank=True, null=True)),
                ('name', isc_common.fields.name_field.NameField(blank=True, null=True)),
                ('description', isc_common.fields.description_field.DescriptionField()),
                ('number', models.SmallIntegerField()),
                ('props', bitfield.models.BitField((('active', 'active'), ('overlap', 'overlap'), ('padding_top', 'padding_top')), db_index=True, default=1)),
                ('rotate', isc_common.fields.code_field.CodeField(blank=True, null=True)),
                ('banner_type', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to='decor.banners_type')),
                ('edited_by', isc_common.fields.related.ForeignKeyProtect(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='AuditModelEx_edited_by', to=settings.AUTH_USER_MODEL)),
                ('href', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to='common.links')),
                ('image', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to='common.images')),
                ('position', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to='region.regions')),
            ],
            options={
                'verbose_name': 'Банеры',
            },
        ),
    ]
