# Generated by Django 3.1.7 on 2021-03-10 13:35

import bitfield.models
import django.utils.timezone
from django.conf import settings
from django.db import migrations, models

import isc_common.fields.related


class Migration(migrations.Migration):
    dependencies = [
        ('isc_common', '0081_auto_20210310_0452'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('decor', '0013_auto_20210309_0833'),
    ]

    operations = [
        migrations.CreateModel(
            name='News',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False, verbose_name='Идентификатор')),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, null=True, verbose_name='Дата мягкого удаления')),
                ('editing', models.BooleanField(default=True, verbose_name='Возможность редактирования')),
                ('deliting', models.BooleanField(default=True, verbose_name='Возможность удаления')),
                ('lastmodified', models.DateTimeField(db_index=True, default=django.utils.timezone.now, editable=False, verbose_name='Последнее обновление')),
                ('date', models.DateTimeField(blank=True, null=True)),
                ('fixed_position', models.SmallIntegerField()),
                ('props', bitfield.models.BitField((('active', 'active'),), db_index=True, default=1)),
                ('admin', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, related_name='News_admin', to=settings.AUTH_USER_MODEL)),
                ('created', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, related_name='News_created', to=settings.AUTH_USER_MODEL)),
                ('disable_editor', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, related_name='News_disable_editor', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Новости, встраиваемые блоки, видео',
            },
        ),
        migrations.CreateModel(
            name='News_images',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False, verbose_name='Идентификатор')),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, null=True, verbose_name='Дата мягкого удаления')),
                ('editing', models.BooleanField(default=True, verbose_name='Возможность редактирования')),
                ('deliting', models.BooleanField(default=True, verbose_name='Возможность удаления')),
                ('lastmodified', models.DateTimeField(db_index=True, default=django.utils.timezone.now, editable=False, verbose_name='Последнее обновление')),
                ('image', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to='isc_common.images')),
                ('main_model', isc_common.fields.related.ForeignKeyProtect(on_delete=django.db.models.deletion.PROTECT, to='decor.news')),
            ],
            options={
                'verbose_name': 'Кросс таблица',
                'unique_together': {('main_model', 'image')},
            },
        ),
    ]
