# Generated by Django 3.1.6 on 2021-02-17 17:46

import bitfield.models
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import isc_common.fields.code_field
import isc_common.fields.description_field
import isc_common.fields.name_field
import isc_common.fields.related


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('common', '0007_images'),
    ]

    operations = [
        migrations.CreateModel(
            name='Regions',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False, verbose_name='Идентификатор')),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, null=True, verbose_name='Дата мягкого удаления')),
                ('editing', models.BooleanField(default=True, verbose_name='Возможность редактирования')),
                ('deliting', models.BooleanField(default=True, verbose_name='Возможность удаления')),
                ('lastmodified', models.DateTimeField(db_index=True, default=django.utils.timezone.now, editable=False, verbose_name='Последнее обновление')),
                ('code', isc_common.fields.code_field.CodeField(blank=True, null=True)),
                ('name', isc_common.fields.name_field.NameField(blank=True, null=True)),
                ('description', isc_common.fields.description_field.DescriptionField()),
                ('color', isc_common.fields.code_field.ColorField(blank=True, null=True)),
                ('contacts', models.TextField(blank=True, null=True)),
                ('middle_link', models.URLField(blank=True, db_index=True, null=True)),
                ('middle_text', models.TextField(blank=True, null=True)),
                ('props', bitfield.models.BitField((('relevant', 'Актуальность'), ('select_division', 'select_division'), ('parimatch', 'parimatch'), ('submenu', 'submenu'), ('leagues_menu', 'leagues_menu')), db_index=True, default=1)),
                ('right_link', models.URLField(blank=True, db_index=True, null=True)),
                ('text', models.TextField(blank=True, null=True)),
                ('double_logo', isc_common.fields.related.ForeignKeyProtect(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='double_logo_Regions', to='common.images')),
                ('header', isc_common.fields.related.ForeignKeyProtect(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='header_Regions', to='common.images')),
                ('logo', isc_common.fields.related.ForeignKeyProtect(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='logo_Regions', to='common.images')),
                ('parent', isc_common.fields.related.ForeignKeyProtect(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='region.regions')),
                ('right_logo', isc_common.fields.related.ForeignKeyProtect(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='right_logo_Regions', to='common.images')),
            ],
            options={
                'verbose_name': 'Регионы',
            },
        ),
    ]
